Skip to main content
POST
/
api
/
v1
/
platform
/
fraud
/
alerts
/
{id}
/
reject
Platform fraud uyarısını reddet
curl --request POST \
  --url https://fraud-sandbox.payven.com.tr/api/v1/platform/fraud/alerts/{id}/reject \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "notes": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "fraud_check_log_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "merchant_external_id": "<string>",
  "external_txn_id": "<string>",
  "amount_minor": 123,
  "currency": "<string>",
  "score": 123,
  "reason_codes": "<string>",
  "assigned_to": "<string>",
  "reviewed_by": "<string>",
  "reviewed_at": "2023-11-07T05:31:56Z",
  "notes": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "created": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Headers

Idempotency-Key
string

Path Parameters

id
string<uuid>
required

Body

application/json
notes
string | null

Response

OK

id
string<uuid>
fraud_check_log_id
string<uuid>
tenant_id
string<uuid>
merchant_external_id
string | null
process
enum<string>
Available options:
sanal_pos,
para_transferi,
fatura_odeme
external_txn_id
string | null
amount_minor
integer<int64>
currency
string | null
score
integer<int32>
reason_codes
string | null
status
enum<string>
Available options:
open,
approved,
rejected,
expired
assigned_to
string | null
reviewed_by
string | null
reviewed_at
string<date-time> | null
notes
string | null
expires_at
string<date-time>
created
string<date-time>